Subject: Re: Git and securing a repository

From: Gonzalo Garramuño <[email-masked]>
Date: Thu, 03 Jan 2008 03:08:56 -0300

Shawn O. Pearce wrote:
> 
> Its a distributed version control system.  All peers are equal.
> Most security in Git is handled by only pulling from sources you
> trust, and never allowing someone to push stuff into a repository
> you own.
> 

Regarding that... is there a way to control the umask of a git clone 
independent of the actual umask of the user or directories inside the 
repository?  Ideally, on the server side?

That is, for sensitive repositories, I would like "git clone" to always 
clone that repository with 0700 permissions, so that the silly mistake 
of cloning a sensitive repository into a public directory and forgetting 
to restrict its permissions can be avoided completely.

-- 
Gonzalo Garramuño
[email-masked]

AMD4400 - ASUS48N-E
GeForce7300GT
Xubuntu Gutsy